Skip to main content
`Ctrl`+`K`

# numpy.polynomial.laguerre.lagdiv

polynomial.laguerre.lagdiv(c1, c2)

  Divide one Laguerre series by another.

  Returns the quotient-with-remainder of two Laguerre series c1 / c2. The arguments are sequences of coefficients from lowest order “term” to highest, e.g., [1,2,3] represents the series `P_0 + 2*P_1 + 3*P_2`.

  Parameters:
    c1, c2 array_like

      1-D arrays of Laguerre series coefficients ordered from low to high.

  Returns:
    [quo, rem]ndarrays

      Of Laguerre series coefficients representing the quotient and remainder.

  See also

  `lagadd`, `lagsub`, `lagmulx`, `lagmul`, `lagpow`

  Notes

  In general, the (polynomial) division of one Laguerre series by another results in quotient and remainder terms that are not in the Laguerre polynomial basis set. Thus, to express these results as a Laguerre series, it is necessary to “reproject” the results onto the Laguerre basis set, which may produce “unintuitive” (but correct) results; see Examples section below.

  Examples

      >>> from numpy.polynomial.laguerre import lagdiv
      >>> lagdiv([  8., -13.,  38., -51.,  36.], [0, 1, 2])
      (array([1., 2., 3.]), array([0.]))
      >>> lagdiv([  9., -12.,  38., -51.,  36.], [0, 1, 2])
      (array([1., 2., 3.]), array([1., 1.]))